Package: org.grails.web.databinding

## [Java] Class DataBindingLazyMetaPropertyMap

- org.grails.web.databinding.DataBindingLazyMetaPropertyMap

-     public class DataBindingLazyMetaPropertyMap
      extends LazyMetaPropertyMap

  Extends the default implementation and does data binding.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class LazyMetaPropertyMap` | `EXCLUDES, instance, metaClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DataBindingLazyMetaPropertyMap (java.lang.Object o)` Constructs the map

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `put(java.lang.Object propertyName, java.lang.Object propertyValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LazyMetaPropertyMap` | `clear, containsKey, containsValue, entrySet, equals, get, getInstance, hashCode, isEmpty, isExcluded, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### public DataBindingLazyMetaPropertyMap(java.lang.Object o)

      Constructs the map

      Parameters:
        `o` - The object to inspect

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.lang.Object put(java.lang.Object propertyName, java.lang.Object propertyValue)